# rpath
RPATHFLAG = .:../lib
MAKE_PLATFORM=Linux.2.4.9

ifneq (,$(findstring SunOS.5., $(MAKE_PLATFORM)))
RPATHFLAG := $$ORIGIN:$$ORIGIN/../lib:$(RPATHFLAG)
RPATHFLAG_PREFIX=-Wl,-R,
LDRPATHFLAG_PREFIX=-R
endif # SUNOS

ifneq (,$(findstring OSF1.V5.1, $(MAKE_PLATFORM)))
RPATHFLAG := $$ORIGIN:$$ORIGIN/../lib:$(RPATHFLAG)
RPATHFLAG_PREFIX=-Wl,-rpath,
LDRPATHFLAG_PREFIX=-rpath
endif #tru64

ifneq (,$(findstring AIX, $(MAKE_PLATFORM)))
RPATHFLAG_PREFIX=-blibpath:
RPATHFLAG_EXTRAS=:/usr/lib:/lib
LDRPATHFLAG_PREFIX=-blibpath:/usr/lib:/lib:
endif #AIX

ifneq (,$(findstring HP-UX, $(MAKE_PLATFORM)))
RPATHFLAG := $$ORIGIN:$$ORIGIN/../lib:$(RPATHFLAG)
RPATHFLAG_PREFIX=-Wl,+s,+b,
LDRPATHFLAG_PREFIX=+s +b
endif #HP-UX

ifneq (,$(findstring Linux, $(MAKE_PLATFORM)))
RPATHFLAG := $$ORIGIN:$$ORIGIN/../lib:$(RPATHFLAG)
RPATHFLAG_PREFIX=-Wl,-rpath,
LDRPATHFLAG_PREFIX=-rpath
endif #Linux

# End Makefile

